Ubuntu

nova-compute-xcp misses nova-compute.conf

Reported by Vangelis Tasoulas on 2013-07-10
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
nova (Ubuntu)
High
Chuck Short
Saucy
High
Chuck Short

Bug Description

Ubuntu Precise in the XCP Paravirtualized VM and OpenStack Grizzly from Ubuntu Cloud Archive

The package nova-compute-xcp does not contain the file /etc/nova/nova-compute.conf

This results to nova-compute being unable to run because the upstart script /etc/init/nova-compute.conf tries to start nova-compute with the following command:
exec start-stop-daemon --start --chuid nova --exec /usr/bin/nova-compute -- --config-file=/etc/nova/nova.conf --config-file=/etc/nova/nova-compute.conf

No error is logged so it is a bit hard to track down the cause of the problem.
If one runs manually nova-compute, the error is obvious:

# /usr/bin/nova-compute --config-file=/etc/nova/nova.conf --config-file=/etc/nova/nova-compute.conf
Traceback (most recent call last):
  File "/usr/bin/nova-compute", line 74, in <module>
    config.parse_args(sys.argv)
  File "/usr/lib/python2.7/dist-packages/nova/config.py", line 37, in parse_args
    default_config_files=default_config_files)
  File "/usr/lib/python2.7/dist-packages/oslo/config/cfg.py", line 1180, in __call__
    self._parse_config_files()
  File "/usr/lib/python2.7/dist-packages/oslo/config/cfg.py", line 1655, in _parse_config_files
    raise ConfigFilesNotFoundError(not_read_ok)
oslo.config.cfg.ConfigFilesNotFoundError: Failed to read some config files: /etc/nova/nova-compute.conf

affects: ubuntu → nova (Ubuntu)
James Page (james-page) on 2013-07-11
Changed in nova (Ubuntu):
status: New → Confirmed
importance: Undecided → High
status: Confirmed → Triaged
Dave Walker (davewalker) on 2013-07-16
Changed in nova (Ubuntu Saucy):
assignee: nobody → Chuck Short (zulcss)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.1~b1-0ubuntu1

---------------
nova (1:2014.1~b1-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control:
    - Open icehouse release.
    - Bump the versioned dependencies of python-pbr, python-migrate,
      and python-six.
    - Add "X-Python-Version:"
  * Dropped xcp support (LP: #1197386) (LP: #1199791):
    - debian/patches/path-to-the-xenhost.conf-fixup.patch: Removed
    - debian/control: Removed nova-compute-xcp, nova-xcp-plugins,
      and nova-xcp-network.
  * debian/patches/fix-boto-versioning.patch: Dropped no longer needed.
  * debian/patches/native-lxc-hypervisor.patch: Dropped.
  * Simplified debian/rules:
    - Remove git vcs, its not being used by anyone, complain if you are.
    - Removed libvirtd detection, no need for it so drop it.
    - Simplify building required docs including mangpages.
    - Add OSLO_VERSION to set correct distro version for package build.
  * debian/patches/sqlachemy-0.8.3-compat.patch: Add support for
    sqlachemy 0.8.3.
  * debian/patches/avoid-failing-test.patch: Dropped.
  * debian/patches/skip_ipv6_test.patch: Skip ipv6 test.
  * debian/patches/fix-libvirt-regression.patch: Fix libvirt regression
    while running the tests.
 -- Chuck Short <email address hidden> Thu, 05 Dec 2013 11:25:41 -0500

Changed in nova (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers